

<?php $__env->startSection('css'); ?>
<link href="<?php echo e(asset('public/plugins/iCheck/all.css'), false); ?>" rel="stylesheet" type="text/css" />
<style>
/**
 * The CSS shown here will not be introduced in the Quickstart guide, but shows
 * how you can use CSS to style your Element's container.
 */
.StripeElement {
  box-sizing: border-box;

  height: 35px;

  padding: 8px 12px;

  border: 1px solid #ccc;
  background-color: white;
  -webkit-transition: box-shadow 150ms ease;
  transition: box-shadow 150ms ease;

  margin-top: 10px;
}

.StripeElement--focus {
	border-color: #3c8dbc;
}

.StripeElement--invalid {
  border-color: #fa755a;
}

.StripeElement--webkit-autofill {
  background-color: #fefde5 !important;
}
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h4>
            <?php echo e(trans('admin.admin'), false); ?>

            	<i class="fa fa-angle-right margin-separator"></i>
            		<?php echo e(trans('misc.add_funds'), false); ?>

          </h4>

        </section>

        <!-- Main content -->
        <section class="content">

          <div class="alert alert-danger display-none" id="error">
              <ul class="list-unstyled" id="showErrors"></ul>
            </div>

        	<div class="content">
            <div class="row">
              <div class="box box-danger">

                <!-- form start -->
                <form class="form-horizontal padding-top-20" method="post" action="<?php echo e(url('user/dashboard/add/funds'), false); ?>" id="formAddFunds">

                	<input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">

                  <!-- Start Box Body -->
                  <div class="box-body">
                    <div class="form-group">
                      <label class="col-sm-2 control-label"><?php echo e(trans('misc.amount'), false); ?></label>
                      <div class="col-sm-10">
                        <div class="input-group">
                        <div class="input-group-addon">
                          <?php echo e($settings->currency_symbol, false); ?>

                        </div>
                        <input type="number" min="<?php echo e($settings->min_deposits_amount, false); ?>" max="<?php echo e($settings->max_deposits_amount, false); ?>" autocomplete="off" value="" name="amount" class="form-control onlyNumber" placeholder="<?php echo e(trans('misc.amount'), false); ?>">
                      </div>
                      <p class="help-block margin-bottom-zero">
                        + <?php echo e($settings->currency_position == 'left' ? $settings->currency_symbol : null, false); ?><span id="handlingFee">0</span><?php echo e($settings->currency_position == 'right' ? $settings->currency_symbol : null, false); ?> <?php echo e(trans('misc.handling_fee'), false); ?>


                        <strong><?php echo e(trans('misc.total'), false); ?>:</strong> <?php echo e($settings->currency_position == 'left' ? $settings->currency_symbol : null, false); ?><span id="total">0</span><?php echo e($settings->currency_position == 'right' ? $settings->currency_symbol : null, false); ?>

                      </p>
                      </div>
                    </div>
                  </div><!-- /.box-body -->

                  <!-- Start Box Body -->
                  <div class="box-body">
                    <div class="form-group">
                      <label class="col-sm-2 control-label"><?php echo e(trans('misc.payment_gateway'), false); ?></label>
                      <div class="col-sm-10">
                        <div class="input-group">
                        <div class="input-group-addon">
                          <i class="fa fa-credit-card"></i>
                        </div>
                      	<select name="payment_gateway" class="form-control" id="paymentGateway">

                          <option value=""><?php echo e(trans('misc.select_payment_gateway'), false); ?></option>

                          <?php $__currentLoopData = PaymentGateways::where('enabled', '1')->get();; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <?php

                            if($payment->type == 'card' ) {
                              $paymentName = trans('misc.debit_credit_card') . ' ('.$payment->name.')';
                            } else {
                              $paymentName = $payment->name;
                            }

                            ?>
                            <option value="<?php echo e($payment->id, false); ?>"><?php echo e($paymentName, false); ?></option>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </select>
                      </div>

                      <div id="stripeContainer" class="display-none">
												<div id="card-element" class="margin-bottom-10">
													<!-- A Stripe Element will be inserted here. -->
												</div>
												<!-- Used to display form errors. -->
												<div id="card-errors" class="alert alert-danger display-none" role="alert"></div>
											</div>

                    </div>
                    </div>
                  </div><!-- /.box-body -->

                  <div class="box-footer">
                    <a href="<?php echo e(url('user/dashboard/deposits'), false); ?>" class="btn btn-default"><i class="fa fa-long-arrow-left"></i> <?php echo e(trans('auth.back'), false); ?></a>
                    <button type="submit" class="btn btn-success pull-right spin-btn" id="addFundsBtn">
                      <?php echo e(trans('misc.add_funds'), false); ?> <span></span>
                    </button>
                  </div><!-- /.box-footer -->
                </form>

        		</div><!-- /.row -->

        	</div><!-- /.content -->

          <!-- Your Page Content Here -->

        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>

	<!-- icheck -->
	<script src="<?php echo e(asset('public/plugins/iCheck/icheck.min.js'), false); ?>" type="text/javascript"></script>
  <script src="<?php echo e(asset('public/js/jquery.form.js'), false); ?>"></script>
  <script src="https://js.stripe.com/v3/"></script>
  <script src='https://js.paystack.co/v1/inline.js'></script>

	<script type="text/javascript">

  $('#paymentGateway').on('change', function() {

  		if($(this).val() == '2') {
  			$('#stripeContainer').slideDown();
  		} else {
  			$('#stripeContainer').slideUp();
  		}
  });

  <?php if(isset($_stripe->key)): ?>
  // Create a Stripe client.
  var stripe = Stripe('<?php echo e($_stripe->key, false); ?>');

  // Create an instance of Elements.
  var elements = stripe.elements();

  // Custom styling can be passed to options when creating an Element.
  // (Note that this demo uses a wider set of styles than the guide below.)
  var style = {
    base: {
      color: '#32325d',
      fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
      fontSmoothing: 'antialiased',
      fontSize: '16px',
      '::placeholder': {
        color: '#aab7c4'
      }
    },
    invalid: {
      color: '#fa755a',
      iconColor: '#fa755a'
    }
  };

  // Create an instance of the card Element.
  var cardElement = elements.create('card', {style: style, hidePostalCode: true});

  // Add an instance of the card Element into the `card-element` <div>.
  cardElement.mount('#card-element');

  // Handle real-time validation errors from the card Element.
  cardElement.addEventListener('change', function(event) {
    var displayError = document.getElementById('card-errors');
    var payment = $('#paymentGateway').val();

    if(payment == 2) {
      if (event.error) {
    		displayError.classList.remove('display-none');
        displayError.textContent = event.error.message;
        $('#addFundsBtn').removeAttr('disabled');
      } else {
    		displayError.classList.add('display-none');
        displayError.textContent = '';
      }
    }

  });

  var cardButton = document.getElementById('addFundsBtn');

  cardButton.addEventListener('click', function(ev) {

  	ev.preventDefault();

    var payment = $('#paymentGateway').val();

    if(payment == 2) {

    stripe.createPaymentMethod('card', cardElement, {
      billing_details: {email: '<?php echo e(Auth::user()->email, false); ?>'}
    }).then(function(result) {
      if (result.error) {

        if(result.error.type == 'invalid_request_error') {

          swal({
              type: 'error',
              title: 'Oops...',
              text: result.error.message,
            });
        }
        $('#addFundsBtn').removeAttr('disabled');

      } else {

        $('#addFundsBtn').attr({'disabled' : 'true'});

        // Otherwise send paymentMethod.id to your server
        $('input[name=payment_method_id]').remove();

  			var $input = $('<input id=payment_method_id type=hidden name=payment_method_id />').val(result.paymentMethod.id);
  			$('#formAddFunds').append($input);

  			$.ajax({
   		 	headers: {
           	'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
       		},
   		   type: "POST",
  			 dataType: 'json',
   		   url:"<?php echo e(url('payment/stripe/charge'), false); ?>",
   		   data: $('#formAddFunds').serialize(),
   		   success: function(result) {
             handleServerResponse(result);

             if(result.success == false) {
               $('#addFundsBtn').removeAttr('disabled');
             }
   		 }//<-- RESULT
   	   })

      }//ELSE
    });
  }//PAYMENT STRIPE
  });

  function handleServerResponse(response) {
    if (response.error) {
      swal({
          type: 'error',
          title: 'Oops...',
          text: response.error,
        });
        $('#addFundsBtn').removeAttr('disabled');

    } else if (response.requires_action) {
      // Use Stripe.js to handle required card action
      stripe.handleCardAction(
        response.payment_intent_client_secret
      ).then(function(result) {
        if (result.error) {
          swal({
              type: 'error',
              title: 'Oops...',
              text: '<?php echo e(trans('misc.error_payment_stripe_3d'), false); ?>',
            });
            $('#addFundsBtn').removeAttr('disabled');
        } else {
          // The card action has been handled
          // The PaymentIntent can be confirmed again on the server

  				var $input = $('<input type=hidden name=payment_intent_id />').val(result.paymentIntent.id);
  				$('#formAddFunds').append($input);

          $('input[name=payment_method_id]').remove();

  				$.ajax({
  	 		 	headers: {
  	         	'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
  	     		},
  	 		   type: "POST",
  				 dataType: 'json',
  	 		   url:"<?php echo e(url('payment/stripe/charge'), false); ?>",
  	 		   data: $('#formAddFunds').serialize(),
  	 		   success: function(result){

  					 if(result.success) {
               $('#addFundsBtn').attr({'disabled' : 'true'});
               $url = '<?php echo e(url('user/dashboard/deposits'), false); ?>';
           		  window.location.href = $url;
  					 } else {
               swal({
                   type: 'error',
                   title: 'Oops...',
                   text: result.error,
                 });
                 $('#addFundsBtn').removeAttr('disabled');
  					 }
  	 		 }//<-- RESULT
  	 	   })
        }// ELSE
      });
    } else {
      // Show success message
      if(response.success) {
        $('#addFundsBtn').attr({'disabled' : 'true'});
        $url = '<?php echo e(url('user/dashboard/deposits'), false); ?>';
    		window.location.href = $url;
      }

    }
  }
  <?php endif; ?>

  $(document).ready(function() {

    //<---------------- Add Funds ----------->>>>
			$(document).on('click','#addFundsBtn',function(s){

				s.preventDefault();
				var element = $(this);
        var payment = $('#paymentGateway').val();
				element.attr({'disabled' : 'true'});

				(function(){
					 $("#formAddFunds").ajaxForm({
					 dataType : 'json',
					 success:  function(result) {

             // success
             if(result.success == true && result.insertBody) {

               $('#bodyContainer').html('');

              $(result.insertBody).appendTo("#bodyContainer");

              if (payment != 1 && payment != 2) {
                element.removeAttr('disabled');
              }

               $('#error').fadeOut();

             } else if(result.success == true && result.url) {
               window.location.href = result.url;
             } else {

               var error = '';

               for($key in result.errors) {
                 error += '<li><i class="glyphicon glyphicon-remove myicon-right"></i> ' + result.errors[$key] + '</li>';
               }

               $('#showErrors').html(error);
               $('#error').fadeIn(500);
               element.removeAttr('disabled');

             }

						},
            error: function(responseText, statusText, xhr, $form) {
                // error
                element.removeAttr('disabled');
                swal({
                    type: 'error',
                    title: 'Oops...',
                    text: 'Error ('+xhr+')',
                  });
            }
					}).submit();
				})(); //<--- FUNCTION %
			});//<<<-------- * END FUNCTION CLICK * ---->>>>
	//<---------------- End Add Funds ----------->>>>

      $(".onlyNumber").keydown(function (e) {
          // Allow: backspace, delete, tab, escape, enter and .
          if ($.inArray(e.keyCode, [46, 8, 9, 27, 13]) !== -1 ||
               // Allow: Ctrl+A, Command+A
              (e.keyCode === 65 && (e.ctrlKey === true || e.metaKey === true)) ||
               // Allow: home, end, left, right, down, up
              (e.keyCode >= 35 && e.keyCode <= 40)) {
                   // let it happen, don't do anything
                   return;
          }
          // Ensure that it is a number and stop the keypress
          if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
              e.preventDefault();
          }
      });

  });// document ready

  <?php if($settings->currency_code == 'JPY'): ?>
  $decimal = 0;
  <?php else: ?>
  $decimal = 2;
  <?php endif; ?>

  $('#paymentGateway').on('change', function() {

    var valueOriginal = $('.onlyNumber').val();
    var value = parseFloat($('.onlyNumber').val());
    var element = $(this).val();

    if(element != '') {
      // Fees
      switch(parseFloat(element)) {
        <?php $__currentLoopData = PaymentGateways::where('enabled', '1')->get();; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        case <?php echo e($payment->id, false); ?>:
          $fee   = <?php echo e($payment->fee, false); ?>;
          $cents =  <?php echo e($payment->fee_cents, false); ?>;
          break;
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      }

      var amount = (value * $fee / 100) + $cents;
      var total = (value + amount);

      if( valueOriginal != '' || valueOriginal !=  0 ) {
        $('#handlingFee').html(amount.toFixed($decimal));
        $('#total').html(total.toFixed($decimal));
      }
    }

});

//<-------- * TRIM * ----------->

$('.onlyNumber').on('keyup', function() {

    var valueOriginal = $(this).val();
    var value = parseFloat($(this).val());
    var paymentGateway = $('#paymentGateway').val();

    if(paymentGateway != '') {

      switch(parseFloat(paymentGateway)) {
        <?php $__currentLoopData = PaymentGateways::where('enabled', '1')->get();; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        case <?php echo e($payment->id, false); ?>:
          $fee   = <?php echo e($payment->fee, false); ?>;
          $cents =  <?php echo e($payment->fee_cents, false); ?>;
          break;
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      }

      var amount = (value * $fee / 100) + $cents;
      var total = (value + amount);

      if( valueOriginal != '' || valueOriginal !=  0 ) {
        $('#handlingFee').html(amount.toFixed($decimal));
        $('#total').html(total.toFixed($decimal));
      } else {
        $('#handlingFee, #total').html('0');
        }
    }

});

</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/qooy/public_html/gfx/resources/views/dashboard/add-funds.blade.php ENDPATH**/ ?>