<?php
/*----------------------------------------------
 *  SHOW NUMBER NOTIFICATIONS IN BROWSER ( 1 )
 * --------------------------------------------
 */
 if( Auth::check() ) {

	// Notifications
	$notifications_count = App\Models\Notifications::where('destination',Auth::user()->id)->where('status','0')->count();

	if( $notifications_count != 0 ) {
		$totalNotifications = '('.( $notifications_count ).') ';
		$totalNotify = ( $notifications_count );
	} else {
		$totalNotifications = null;
		$totalNotify = null;
	}
 } else {
 	$totalNotifications = null;
	$totalNotify = null;
 }

?>
<!DOCTYPE html>
<html lang="<?php echo e(strtolower(config('app.locale')), false); ?>">
<head>
	<meta charset="utf-8">
	<meta name="csrf-token" content="<?php echo e(csrf_token(), false); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?php echo $__env->yieldContent('description_custom'); ?><?php echo e($settings->description, false); ?>">
    <meta name="keywords" content="<?php echo $__env->yieldContent('keywords_custom'); ?><?php echo e($settings->keywords, false); ?>" />
    <link rel="shortcut icon" href="<?php echo e(url('public/img', $settings->favicon), false); ?>" />

	<title><?php echo e($totalNotifications, false); ?><?php $__env->startSection('title'); ?><?php echo $__env->yieldSection(); ?> <?php if( isset( $settings->title ) ): ?><?php echo e($settings->title, false); ?><?php endif; ?></title>

	<?php echo $__env->make('includes.css_general', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

	<!-- Fonts -->
	<link href='https://fonts.googleapis.com/css?family=Montserrat:700' rel='stylesheet' type='text/css'>

	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<?php echo $__env->yieldContent('css'); ?>

	<?php if( Auth::check() ): ?>
<script type="text/javascript">
//<----- Notifications
function Notifications() {

	 var _title = '<?php $__env->startSection("title"); ?><?php echo $__env->yieldSection(); ?> <?php echo e(e($settings->title), false); ?>';

	 console.time('cache');

	 $.get(URL_BASE+"/ajax/notifications", function( data ) {
		if ( data ) {

			//* Notifications */
			if( data.notifications != 0 ) {

				var totalNoty = data.notifications;
				$('#noti_connect').html(data.notifications).fadeIn();
			} else {
				$('#noti_connect').html('').hide();
			}

			//* Error */
			if( data.error == 1 ) {
				window.location.reload();
			}

			var totalGlobal = parseInt( totalNoty );

			if( data.notifications == 0 ) {
				$('.notify').hide();
				$('title').html( _title );
			}

		if( data.notifications != 0 ) {
		    $('title').html( "("+ totalGlobal + ") " + _title );
		  }

		}//<-- DATA

		},'json');

		console.timeEnd('cache');
}//End Function TimeLine

timer = setInterval("Notifications()", 10000);
</script>
<?php endif; ?>

<?php if($settings->google_analytics != ''): ?>
 <?php echo $settings->google_analytics; ?>

 <?php endif; ?>

 <style>
 .index-header { background-image: url('<?php echo e(url('public/img', $settings->image_header), false); ?>') }
 .jumbotron-bottom { background-image: url('<?php echo e(url('public/img', $settings->image_bottom), false); ?>') }
 .header-colors { background-image: url('<?php echo e(url('public/img', $settings->header_colors), false); ?>') }
 .header-cameras { background-image: url('<?php echo e(url('public/img', $settings->header_cameras), false); ?>') }
 </style>

</head>
<body>
	<div class="popout font-default"></div>

	<div class="wrap-loader">

<div class="progress-wrapper display-none" id="progress" style=" position: absolute; width: 100%;">
  <div class="progress" style="border-radius: 0;">
    <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
  </div>
  <div class="progress-info" style="color: #FFF; font-size: 35px; padding-top: 10px;">
    <div class="progress-percentage">
      <span class="percent">0%</span>
    </div>
  </div>
</div>

		<i class="fa fa-cog fa-spin fa-3x fa-fw cog-loader"></i>
		<i class="fa fa-cog fa-spin fa-3x fa-fw cog-loader-small"></i>
	</div>

	<?php if(!Request::is('/') && !Request::is('search') ): ?>
    <form role="search" class="box_Search collapse" autocomplete="off" action="<?php echo e(url('search'), false); ?>" method="get" id="formShow">
    <div>
      <input type="text" name="q" class="input_search form-control" id="btnItems" placeholder="<?php echo e(trans('misc.search'), false); ?>">
      <button type="submit" id="_buttonSearch"><i class="icon-search"></i></button>
    </div><!--/.form-group -->
   </form><!--./navbar-form -->
		     <?php endif; ?>

	<?php echo $__env->make('includes.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php if( Auth::check() && Auth::user()->status == 'pending' ): ?>
  <div class="alert alert-danger text-center margin-zero border-group">
  <i class="icon-warning myicon-right"></i> <?php echo e(trans('misc.confirm_email'), false); ?> <strong><?php echo e(Auth::user()->email, false); ?></strong>
  </div>
  <?php endif; ?>

		<?php echo $__env->yieldContent('content'); ?>

			<?php echo $__env->make('includes.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

		<?php echo $__env->make('includes.javascript_general', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

	<?php echo $__env->yieldContent('javascript'); ?>

  <script type="text/javascript">

	Cookies.set('cookieBanner');

		$(document).ready(function() {
    if (Cookies('cookiePolicySite'));
    else {
    	$('.showBanner').fadeIn();
        $("#close-banner").click(function() {
            $(".showBanner").slideUp(50);
            Cookies('cookiePolicySite', true);
        });
    }
});

$(document).ready(function(){
    $(".previewImage").removeClass('d-none');
});

</script>
</body>
</html>
<?php /**PATH /home/qooy/public_html/gfx/resources/views/app.blade.php ENDPATH**/ ?>