<?php
	$trueProfile = true;

	$userID = $user->id;

	$downloadsCount = App\Models\Images::join('downloads', function($join) use($userID) {
				$join->on('downloads.images_id', '=', 'images.id')->where('images.user_id', '=', $userID );
			})->count();

			if( $user->cover == '' ) {
				$cover = 'background: #232a29;';
			}	else {
				$cover = "background: url('".Storage::url(config('path.cover').$user->cover)."') no-repeat center center #232a29; background-size: cover;";
			}

			$purchases = App\Models\Purchases::leftJoin('images', function($join) {
				 $join->on('purchases.images_id', '=', 'images.id');
			 })
			 ->where('images.user_id',$user->id)
			 ->select('purchases.*')
			 ->addSelect('images.id')
			 ->addSelect('images.title')
			 ->orderBy('purchases.id','DESC');

if( Auth::check() ) {

	// FOLLOW ACTIVE
 	$followActive = App\Models\Followers::where( 'follower', Auth::user()->id )
 	->where('following',$user->id)
	->where('status', '1')
 	->first();

       if( $followActive ) {
       	  $textFollow   = trans('users.following');
		  $icoFollow    = '-ok';
		  $activeFollow = 'btnFollowActive';
       } else {
       		$textFollow   = trans('users.follow');
		    $icoFollow    = '-plus';
			$activeFollow = '';
       }

 }//<<<<---- *** END AUTH ***
?>



<?php $__env->startSection('title'); ?> <?php echo e($title, false); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="jumbotron profileUser index-header jumbotron_set jumbotron-cover-user" style="<?php echo e($cover, false); ?>">

<div class="container wrap-jumbotron position-relative">

<?php if( Auth::check() && Auth::user()->id == $user->id ): ?>
	<!-- *********** COVER ************* -->
      <form class="pull-left myicon-right position-relative" style="z-index: 100;" action="<?php echo e(url('upload/cover'), false); ?>" method="POST" id="formCover" accept-charset="UTF-8" enctype="multipart/form-data">
    		<input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">
			<button type="button" class="btn btn-default btn-border btn-sm" id="cover_file" style="margin-top: 10px;">
	    		<i class="icon-camera myicon-right"></i> <?php echo e(trans('misc.change_cover'), false); ?>

	    		</button>
	    		 <input type="file" name="photo" id="uploadCover" accept="image/*" style="visibility: hidden;">
			</form><!-- *********** COVER ************* -->

			<?php endif; ?>
			</div>
    </div>

<div class="container-fluid margin-bottom-40 margin-top-40">

	<div class="row"></div>
<!-- Col MD -->
<div class="col-md-12">

	<div class="center-block text-center profile-user-over">

		<a href="<?php echo e(url($user->username), false); ?>">

        		<img src="<?php echo e(Storage::url(config('path.avatar').$user->avatar), false); ?>" width="150" height="150" class="img-circle border-avatar-profile avatarUser" />
        		</a>

        <h1 class="title-item none-overflow font-default">
		        		<?php if( $user->name != '' ): ?>

		        		<?php echo e(e( $user->name ), false); ?>


									<?php if($user->author_exclusive == 'yes'): ?>
										<small>
									 <i class="fa fa-diamond" data-toggle="tooltip" data-placement="top" title="<?php echo e(trans('misc.exclusive_author'), false); ?>"></i>
									 	</small>
								 <?php endif; ?>

								 <small class="text-muted"><?php echo e('@'.$user->username, false); ?></small>

		        		<?php else: ?>

		        		<?php echo e(e( $user->username ), false); ?>


								<?php if($user->author_exclusive == 'yes'): ?>
									<small>
								 <i class="fa fa-diamond" data-toggle="tooltip" data-placement="top" title="<?php echo e(trans('misc.exclusive_author'), false); ?>"></i>
									</small>
							 <?php endif; ?>

		        		<?php endif; ?>
		        	</h1>


<?php if( Auth::check() && Auth::user()->id == $user->id ): ?>
	<!-- *********** AVATAR ************* -->
      <form action="<?php echo e(url('upload/avatar'), false); ?>" method="POST" id="formAvatar" accept-charset="UTF-8" enctype="multipart/form-data">
    		<input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">
			<button type="button" class="btn btn-default btn-border btn-sm" id="avatar_file" style="margin-top: 10px;">
	    		<i class="icon-camera myicon-right"></i> <?php echo e(trans('misc.change_avatar'), false); ?>

	    		</button>
	    		 <input type="file" name="photo" id="uploadAvatar" accept="image/*" style="visibility: hidden;">
			</form><!-- *********** AVATAR ************* -->
			<?php endif; ?>

			<?php if( Auth::check() && $user->id != Auth::user()->id ): ?>
						<button type="button" class="btn btn-xs add-button btn-follow myicon-right btnFollow <?php echo e($activeFollow, false); ?>" data-toggle="tooltip" data-placement="top" data-id="<?php echo e($user->id, false); ?>" data-follow="<?php echo e(trans('users.follow'), false); ?>" data-following="<?php echo e(trans('users.following'), false); ?>">
	    			 			<i class="glyphicon glyphicon<?php echo e($icoFollow, false); ?> myicon-right"></i> <?php echo e($textFollow, false); ?>

	    			 		</button>
	    			 	<?php endif; ?>

	    			<?php if( Auth::check() && $user->id != Auth::user()->id && $user->paypal_account != '' || Auth::guest()  && $user->paypal_account != '' ): ?>
	    			 	<button type="button" class="btn btn-sm btn-default" id="btnFormPP" title="<?php echo e(trans('misc.buy_coffee'), false); ?>">
	    			 			<i class="fa fa-paypal myicon-right" style="color: #003087"></i> <?php echo e(trans('misc.coffee'), false); ?>

	    			 		</button>
	    			 		<?php endif; ?>

	    			 	<?php if( Auth::check() && $user->id != Auth::user()->id ): ?>
	    			 		<a href="#" class="btn btn-sm btn-default" data-toggle="modal" data-target="#reportUser" title="<?php echo e(trans('misc.report'), false); ?>">
	    			 			<i class="fa fa-flag"></i>
	    			 		</a>
	    			 		<?php endif; ?>

		<h4 class="text-bold line-sm position-relative font-family-primary font-default text-muted"><?php echo e(trans('users.about_me'), false); ?></h4>

		   	 <small class="center-block subtitle-user">
      		 	<?php echo e(trans('misc.member_since'), false); ?> <?php echo e(App\Helper::formatDate($user->date), false); ?>

      		 	</small>

      		 <?php if( $user->countries_id != '' ): ?>
      		 	<small class="center-block subtitle-user">
      		 		<i class="fa fa-map-marker myicon-right"></i> <?php echo e($user->country()->country_name, false); ?>

      		 	</small>
      		 	<?php endif; ?>

           <?php if( $user->bio != '' ): ?>
           <h4 class="text-center bio-user none-overflow"><?php echo e(e($user->bio), false); ?></h4>
           <?php endif; ?>

           <?php if( $user->website != ''
			            	 || $user->twitter != ''
			            	 || $user->facebook != ''
			             ): ?>

			             <?php if( $user->website != '' ): ?>
    							<a target="_blank" href="<?php echo e(e( $user->website ), false); ?>" title="<?php echo e(trans('misc.website_misc'), false); ?>" class="urls-bio icons-bio" data-toggle="tooltip" data-placement="top">
    								<i class="icon-link myicon-right"></i>
    							</a>
    							<?php endif; ?>

    						<?php if( $user->twitter != '' ): ?>
    							<a target="_blank" href="<?php echo e(e($user->twitter), false); ?>" title="Twitter"  class="urls-bio icons-bio" data-toggle="tooltip" data-placement="top">
    								<i class="icon-twitter myicon-right"></i>
    								</a>
    							<?php endif; ?>

    							<?php if( $user->facebook != '' ): ?>
    							<a target="_blank" href="<?php echo e(e($user->facebook), false); ?>" title="Facebook"  class="urls-bio icons-bio" data-toggle="tooltip" data-placement="top">
    								<i class="fa fa-facebook-square myicon-right"></i>
    								</a>
    							<?php endif; ?>

									<?php if( $user->instagram != '' ): ?>
    							<a target="_blank" href="<?php echo e(e($user->instagram), false); ?>" title="Instagram"  class="urls-bio icons-bio" data-toggle="tooltip" data-placement="top">
    								<i class="fa fa-instagram myicon-right"></i>
    								</a>
    							<?php endif; ?>

			             <?php endif; ?>

	   <ul class="nav nav-pills inlineCounterProfile justify-list-center">

        	  <li>
        	  	<small class="btn-block sm-btn-size text-left counter-sm"><?php echo e(App\Helper::formatNumber($user->images()->count()), false); ?></small>
        	  	<span class="text-muted"><?php echo e(trans('misc.images'), false); ?></span>
        	  </li><!-- End Li -->

        	 <?php if( Auth::check() && Auth::user()->id == $user->id ): ?>
        	  <li>
        	  	<small class="btn-block sm-btn-size text-left counter-sm"><?php echo e(App\Helper::formatNumber($user->images_pending()->count()), false); ?></small>
        	  	<a href="<?php echo e(url( 'photos/pending'), false); ?>" class="text-muted link-nav-user"><?php echo e(trans('misc.photos_pending'), false); ?></a>
        	  </li><!-- End Li -->
        	  <?php endif; ?>

        	  <li>
        	  	<small class="btn-block sm-btn-size text-left counter-sm"><?php echo e(App\Helper::formatNumber($downloadsCount), false); ?></small>
        	  	<span class="text-muted"><?php echo e(trans('misc.downloads'), false); ?></span>
        	  </li><!-- End Li -->

						<?php if($settings->sell_option == 'on'): ?>
						<li>
        	  	<small class="btn-block sm-btn-size text-left counter-sm"><?php echo e(App\Helper::formatNumber($purchases->count()), false); ?></small>
        	  	<span class="text-muted"><?php echo e(trans('misc.sales'), false); ?></span>
        	  </li><!-- End Li -->
					<?php endif; ?>

    			<li>
    				<small class="btn-block sm-btn-size text-left counter-sm"><?php echo e(App\Helper::formatNumber($user->followers()->count()), false); ?></small>
    				<a href="<?php echo e(url($user->username, 'followers'), false); ?>" class="text-muted link-nav-user"><?php echo e(trans('users.followers'), false); ?></a>
    			</li><!-- End Li -->

    			<li>
    				<small class="btn-block sm-btn-size text-left counter-sm"><?php echo e(App\Helper::formatNumber($user->following()->count()), false); ?></small>
    				<a href="<?php echo e(url( $user->username, 'following'), false); ?>" class="text-muted link-nav-user"><?php echo e(trans('users.following'), false); ?></a>
    			</li><!-- End Li -->

    			<li>
    				<small class="btn-block sm-btn-size text-left counter-sm"><?php echo e(App\Helper::formatNumber($user->collections()->count()), false); ?></small>
    				<a href="<?php echo e(url( $user->username, 'collections'), false); ?>" class="text-muted link-nav-user"><?php echo e(trans('misc.collections'), false); ?></a>
    			</li><!-- End Li -->
    	</ul>

	</div><!-- Center Div -->

<hr />

	<?php if( $images->total() != 0 ): ?>

<div id="imagesFlex" class="flex-images btn-block margin-bottom-40 dataResult">
	     <?php echo $__env->make('includes.images', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

	     <?php if( $images->count() != 0  ): ?>
			    <div class="container-paginator">
			    	<?php echo e($images->links(), false); ?>

			    	</div>
			    	<?php endif; ?>

	     </div><!-- Image Flex -->

	  <?php else: ?>
	  <div class="btn-block text-center">
	    			<i class="icon icon-Picture ico-no-result"></i>
	    		</div>

	    		<h3 class="margin-top-none text-center no-result no-result-mg">
	    		<?php echo e(trans('users.user_no_images'), false); ?>

	    	</h3>
	  <?php endif; ?>

 </div><!-- /COL MD -->
 </div><!-- row -->

<?php if( Auth::check() && $user->id != Auth::user()->id && $user->paypal_account != '' || Auth::guest()  && $user->paypal_account != '' ): ?>
 <form id="form_pp" name="_xclick" action="https://www.paypal.com/cgi-bin/webscr" method="post"  style="display:none">
    <input type="hidden" name="cmd" value="_donations">
    <input type="hidden" name="return" value="<?php echo e(url($user->username), false); ?>">
    <input type="hidden" name="cancel_return"   value="<?php echo e(url($user->username), false); ?>">
    <input type="hidden" name="currency_code" value="USD">
    <input type="hidden" name="item_name" value="<?php echo e(trans('misc.support').' @'.$user->username, false); ?> - <?php echo e($settings->title, false); ?>" >
    <input type="hidden" name="business" value="<?php echo e($user->paypal_account, false); ?>">
    <input type="submit">
</form>
<?php endif; ?>

<?php if( Auth::check() ): ?>
<div class="modal fade" id="reportUser" tabindex="-1" role="dialog" aria-hidden="true">
     		<div class="modal-dialog modal-sm">
     			<div class="modal-content">
     				<div class="modal-header">
				        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				        <h4 class="modal-title text-center" id="myModalLabel">
				        	<strong><?php echo e(trans('misc.report'), false); ?></strong>
				        	</h4>
				     </div><!-- Modal header -->

				      <div class="modal-body listWrap">

				    <!-- form start -->
			    <form method="POST" action="<?php echo e(url('report/user'), false); ?>" enctype="multipart/form-data" id="formReport">
			    	<input type="hidden" name="_token" value="<?php echo e(csrf_token(), false); ?>">
			    	<input type="hidden" name="id" value="<?php echo e($user->id, false); ?>">
				    <!-- Start Form Group -->
                    <div class="form-group">
                      <label><?php echo e(trans('admin.reason'), false); ?></label>
                      	<select name="reason" class="form-control">
                      		<option value="spoofing"><?php echo e(trans('admin.spoofing'), false); ?></option>
                            <option value="copyright"><?php echo e(trans('admin.copyright'), false); ?></option>
                            <option value="privacy_issue"><?php echo e(trans('admin.privacy_issue'), false); ?></option>
                            <option value="violent_sexual_content"><?php echo e(trans('admin.violent_sexual_content'), false); ?></option>
                          </select>

                  </div><!-- /.form-group-->

                   <button type="submit" class="btn btn-sm btn-danger reportUser"><?php echo e(trans('misc.report'), false); ?></button>

                    </form>

				      </div><!-- Modal body -->
     				</div><!-- Modal content -->
     			</div><!-- Modal dialog -->
     		</div><!-- Modal -->
     		<?php endif; ?>

 <!-- container wrap-ui -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>

<script type="text/javascript">

$('#imagesFlex').flexImages({ rowHeight: 320 });

$('#btnFormPP').click(function(e){
	$('#form_pp').submit();
});

<?php if( Auth::check() ): ?>

$(".reportUser").click(function(e) {
  	var element     = $(this);
	e.preventDefault();
  	 element.attr({'disabled' : 'true'});

  	 $('#formReport').submit();

  });

	<?php if(session('noty_error')): ?>
	    		swal({
	    			title: "<?php echo e(trans('misc.error_oops'), false); ?>",
	    			text: "<?php echo e(trans('misc.already_sent_report'), false); ?>",
	    			type: "error",
	    			confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
	    			});
	   		 <?php endif; ?>

	   		 <?php if(session('noty_success')): ?>
	    		swal({
	    			title: "<?php echo e(trans('misc.thanks'), false); ?>",
	    			text: "<?php echo e(trans('misc.send_success'), false); ?>",
	    			type: "success",
	    			confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
	    			});
	   		 <?php endif; ?>
  <?php endif; ?>


//<<---- PAGINATION AJAX
        $(document).on('click','.pagination a', function(e){
			e.preventDefault();
			var page = $(this).attr('href').split('page=')[1];
			$.ajax({
				headers: {
        	'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    		},
					url: '<?php echo e(url()->current(), false); ?>?page=' + page


			}).done(function(data){
				if( data ) {

					scrollElement('#imagesFlex');

					$('.dataResult').html(data);

					$('.hovercard').hover(
		               function () {
		                  $(this).find('.hover-content').fadeIn();
		               },
		               function () {
		                  $(this).find('.hover-content').fadeOut();
		               }
		            );

					$('#imagesFlex').flexImages({ rowHeight: 320 });
					jQuery(".timeAgo").timeago();

					$('[data-toggle="tooltip"]').tooltip();
				} else {
					sweetAlert("<?php echo e(trans('misc.error_oops'), false); ?>", "<?php echo e(trans('misc.error'), false); ?>", "error");
				}
				//<**** - Tooltip
			});

		});//<<---- PAGINATION AJAX

<?php if( Auth::check() && Auth::user()->id == $user->id ): ?>

	//<<<<<<<=================== * UPLOAD AVATAR  * ===============>>>>>>>//
    $(document).on('change', '#uploadAvatar', function(){

    $('.wrap-loader').show();

   (function(){
	 $("#formAvatar").ajaxForm({
	 dataType : 'json',
	 error: function error(responseText, statusText, xhr, $form)  {
	 	$('.wrap-loader').hide();
	 	$('#uploadAvatar').val('');
	 	$('.popout').addClass('popout-error').html('<?php echo e(trans('misc.error'), false); ?> ('+xhr+')').fadeIn('500').delay('5000').fadeOut('500');
	     /*alert('status: ' + statusText + '\n\rresponseText: \n' + responseText + '\n\nxhr: \n' + xhr);*/
	 },
	 success:  function(e){
	 if( e ){
        if( e.success == false ){
		$('.wrap-loader').hide();

		var error = '';
                        for($key in e.errors){
                        	error += '' + e.errors[$key] + '';
                        }
		swal({
    			title: "<?php echo e(trans('misc.error_oops'), false); ?>",
    			text: ""+ error +"",
    			type: "error",
    			confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
    			});

			$('#uploadAvatar').val('');

		} else {

			$('#uploadAvatar').val('');
			$('.avatarUser').attr('src',e.avatar);
			$('.wrap-loader').hide();
		}

		}//<-- e
			else {
				$('.wrap-loader').hide();
				swal({
    			title: "<?php echo e(trans('misc.error_oops'), false); ?>",
    			text: '<?php echo e(trans("misc.error"), false); ?>',
    			type: "error",
    			confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
    			});

				$('#uploadAvatar').val('');
			}
		   }//<----- SUCCESS
		}).submit();
    })(); //<--- FUNCTION %
});//<<<<<<<--- * ON * --->>>>>>>>>>>
//<<<<<<<=================== * UPLOAD AVATAR  * ===============>>>>>>>//

//<<<<<<<=================== * UPLOAD COVER  * ===============>>>>>>>//
$(document).on('change', '#uploadCover', function(){

    $('.wrap-loader').show();

   (function(){
	 $("#formCover").ajaxForm({
	 dataType : 'json',
	 error: function error(responseText, statusText, xhr, $form) {
	 	$('.wrap-loader').hide();
	 	$('#uploadCover').val('');
	 	$('.popout').addClass('popout-error').html('<?php echo e(trans('misc.error'), false); ?> ('+xhr+')').fadeIn('500').delay('5000').fadeOut('500');
	     /*alert('status: ' + statusText + '\n\rresponseText: \n' + responseText + '\n\nxhr: \n' + xhr);*/
	 },
	 success:  function(e){
	 if( e ){
        if( e.success == false ){
		$('.wrap-loader').hide();

		var error = '';
                        for($key in e.errors){
                        	error += '' + e.errors[$key] + '';
                        }
		swal({
    			title: "<?php echo e(trans('misc.error_oops'), false); ?>",
    			text: ""+ error +"",
    			type: "error",
    			confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
    			});

			$('#uploadCover').val('');

		} else {

			$('#uploadCover').val('');

			$('.jumbotron-cover-user').css({ background: 'url("'+e.cover+'") center center #232a29','background-size': 'cover' });;
			$('.wrap-loader').hide();
		}

		}//<-- e
			else {
				$('.wrap-loader').hide();
				swal({
    			title: "<?php echo e(trans('misc.error_oops'), false); ?>",
    			text: '<?php echo e(trans("misc.error"), false); ?>',
    			type: "error",
    			confirmButtonText: "<?php echo e(trans('users.ok'), false); ?>"
    			});

				$('#uploadCover').val('');
			}
		   }//<----- SUCCESS
		}).submit();
    })(); //<--- FUNCTION %
});//<<<<<<<--- * ON * --->>>>>>>>>>>
//<<<<<<<=================== * UPLOAD COVER  * ===============>>>>>>>//



<?php endif; ?>
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/qooy/public_html/gfx/resources/views/users/profile.blade.php ENDPATH**/ ?>